Subject: Re: linux-next: manual merge of the x86 tree

From: Ingo Molnar <[email-masked]>
Date: Sun, 14 Sep 2008 17:16:50 +0200

* Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> Today's linux-next merge of the x86 tree got a conflict in
> drivers/pci/intel-iommu.c between commit
> cbda1ba898647aeb4ee770b803c922f595e97731 ("PCI/iommu: blacklist DMAR on
> Intel G31/G33 chipsets") from the pci-current tree and commit
> 2ae21010694e56461a63bfc80e960090ce0a5ed9 ("x64, x2apic/intr-remap:
> Interrupt remapping infrastructure") from the x86 tree.
> 
> It was a bit difficult to see how to easily fix this up, so I have
> effectively reverted the pci-current commit for now (by using the x86
> version of the file) but, I assume, that commit will end up in Linus'
> tree soon so that the x86 guys can fix the conflict in their tree.

yep, i've done a more intelligent merge (keeping the pci tree changes) 
and pushed the result out into tip/auto-x86-next.

	Ingo